Switch from gazel to kazel, and move kazelcfg into build/root

pull/6/head
Jeff Grafton 2017-07-14 14:02:21 -07:00
parent 9ac0950166
commit 64b0c9ec47
4 changed files with 7 additions and 29 deletions

1
.kazelcfg.json Symbolic link
View File

@ -0,0 +1 @@
build/root/.kazelcfg.json

View File

@ -20,21 +20,10 @@ set -o pipefail
export KUBE_ROOT=$(dirname "${BASH_SOURCE}")/.. export KUBE_ROOT=$(dirname "${BASH_SOURCE}")/..
source "${KUBE_ROOT}/hack/lib/init.sh" source "${KUBE_ROOT}/hack/lib/init.sh"
# Remove generated files prior to running gazel. # Remove generated files prior to running kazel.
# TODO(spxtr): Remove this line once Bazel is the only way to build. # TODO(spxtr): Remove this line once Bazel is the only way to build.
rm -f "${KUBE_ROOT}/pkg/generated/openapi/zz_generated.openapi.go" rm -f "${KUBE_ROOT}/pkg/generated/openapi/zz_generated.openapi.go"
go get -u gopkg.in/mikedanese/gazel.v17/gazel kube::util::go_install_from_commit github.com/kubernetes/repo-infra/kazel fd3ec969104295f8484a32114ce625955a67365d
for path in ${GOPATH//:/ }; do kazel -root="$(kube::realpath ${KUBE_ROOT})"
if [[ -e "${path}/bin/gazel" ]]; then
gazel="${path}/bin/gazel"
break
fi
done
if [[ -z "${gazel:-}" ]]; then
echo "Couldn't find gazel on the GOPATH."
exit 1
fi
"${gazel}" -root="$(kube::realpath ${KUBE_ROOT})"

View File

@ -20,25 +20,13 @@ set -o pipefail
export KUBE_ROOT=$(dirname "${BASH_SOURCE}")/.. export KUBE_ROOT=$(dirname "${BASH_SOURCE}")/..
source "${KUBE_ROOT}/hack/lib/init.sh" source "${KUBE_ROOT}/hack/lib/init.sh"
go get gopkg.in/mikedanese/gazel.v17/gazel # Remove generated files prior to running kazel.
# Remove generated files prior to running gazel.
# TODO(spxtr): Remove this line once Bazel is the only way to build. # TODO(spxtr): Remove this line once Bazel is the only way to build.
rm -f "${KUBE_ROOT}/pkg/generated/openapi/zz_generated.openapi.go" rm -f "${KUBE_ROOT}/pkg/generated/openapi/zz_generated.openapi.go"
for path in ${GOPATH//:/ }; do kube::util::go_install_from_commit github.com/kubernetes/repo-infra/kazel fd3ec969104295f8484a32114ce625955a67365d
if [[ -e "${path}/bin/gazel" ]]; then
gazel="${path}/bin/gazel"
break
fi
done
if [[ -z "${gazel:-}" ]]; then
echo "Couldn't find gazel on the GOPATH."
exit 1
fi
if ! kazel -validate -print-diff -root="$(kube::realpath ${KUBE_ROOT})" ; then
if ! "${gazel}" -validate -print-diff -root="$(kube::realpath ${KUBE_ROOT})" ; then
echo echo
echo "Run ./hack/update-bazel.sh" echo "Run ./hack/update-bazel.sh"
exit 1 exit 1